> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Volunteers

> Fetches a list of volunteer experiences associated with a specific user based on the provided user URN.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/user/volunteers
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/user/volunteers:
    get:
      tags:
        - User Additional Data
      summary: Get User Volunteers
      description: >-
        Fetches a list of volunteer experiences associated with a specific user
        based on the provided user URN.
      operationId: getApiV1UserVolunteers
      parameters:
        - in: query
          name: urn
          schema:
            type: string
            description: User URN
            example: ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc
        - in: query
          name: username
          schema:
            type: string
            description: >-
              Username. Enabling this option will consume an additional 1
              request.
            example: simonsinek
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Page number for pagination
            default: 1
            example: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  total:
                    type: number
                    description: Total number of user volunteers
                    example: 12
                  has_more:
                    type: boolean
                    description: Whether there are more user volunteers to fetch
                    example: false
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        organization:
                          type: string
                          description: Name of the organization
                          example: DigitalOcean
                        title:
                          type: string
                          description: Title of the volunteer experience
                          example: Volunteer
                        cause:
                          type: string
                          description: Cause of the volunteer experience
                          example: Education
                        duration:
                          type: string
                          description: Duration of the volunteer experience
                          example: 1 year
                        description:
                          type: string
                          description: Description of the volunteer experience
                          example: Mentored students in computer science
                        date:
                          type: object
                          properties:
                            start:
                              type: string
                              description: Start date
                              example: Feb 2025
                            end:
                              type: string
                              description: End date
                              example: Present
                          description: Date of the volunteer experience
                        media:
                          type: array
                          items:
                            type: object
                            properties:
                              title:
                                type: string
                                description: Title of media
                                example: Title
                              description:
                                type: string
                                description: Description of media
                                example: Description
                              thumbnail:
                                type: object
                                properties:
                                  width:
                                    type: number
                                    description: Logo width
                                    example: 400
                                  height:
                                    type: number
                                    description: Logo height
                                    example: 400
                                  url:
                                    type: string
                                    description: Logo URL
                                    example: >-
                                      https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                  expires_at:
                                    type: number
                                    description: Logo expires at
                                    example: 1748476800000
                    description: List of user volunteer experiences
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````